Request

Response

    Get All Features
    GET

    features

    Lists all available APS features.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/applications/v2/features
    Authentication Context
    User context required
    Required OAuth Scopes
    application:client:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Response

    HTTP Status Code Summary

    200
    OK
    ok
    401
    Unauthorized
    The request did not have a valid access token. Obtain a fresh access token and try again.
    403
    Forbidden
    You do not have permission to perform the operation specified by the request.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    limit
    number
    The limit value supplied in the request.
    nextUrl
    string
    Link that will return the next page of data. If not included, this is the last page of data.
    previousUrl
    string
    Link that will return the previous page of data. If the previous link is being returned then absence indicates this being the first page.
    results
    array: object
    id
    string
    The feature ID.
    name
    string
    The feature name.
    groupName
    string
    Features are grouped into families of related APIs. The groupName identifies this family.

    Example

    ok

    Request

    curl -v 'https://developer.api.autodesk.com/applications/v2/features' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "nextUrl": "https://developer.api.autodesk.com/~NEXT_PAGE~",
        "previousUrl": "https://developer.api.autodesk.com/~PREVIOUS_PAGE~"
      },
      "results": [
        {
          "id": "APSRC1",
          "name": "Process 50 Photos",
          "groupName": "Reality Capture API"
        }
      ]
    }
    
    Show More